[arch-commits] Commit in (5 files)

Vesa Kaihlavirta vesa at archlinux.org
Tue Aug 24 03:19:14 EDT 2010


    Date: Tuesday, August 24, 2010 @ 03:19:14
  Author: vesa
Revision: 88504

bring in haskell-cgi from AUR (needed by HP 2010.02)

Added:
  haskell-cgi/
  haskell-cgi/repos/
  haskell-cgi/trunk/
  haskell-cgi/trunk/PKGBUILD
  haskell-cgi/trunk/haskell-cgi.install

---------------------+
 PKGBUILD            |   35 +++++++++++++++++++++++++++++++++++
 haskell-cgi.install |   21 +++++++++++++++++++++
 2 files changed, 56 insertions(+)

Added: haskell-cgi/trunk/PKGBUILD
===================================================================
--- haskell-cgi/trunk/PKGBUILD	                        (rev 0)
+++ haskell-cgi/trunk/PKGBUILD	2010-08-24 07:19:14 UTC (rev 88504)
@@ -0,0 +1,35 @@
+# Contributor: Arch Haskell Team <arch-haskell at haskell.org>
+# Package generated by cabal2arch 0.7.1
+# Note: we list all package dependencies.
+# Your package tool should understand 'provides' syntax
+#
+# Keep up to date on http://archhaskell.wordpress.com/
+#
+pkgname=haskell-cgi
+pkgrel=1
+pkgver=3001.1.7.2
+pkgdesc="A library for writing CGI programs"
+url="http://hackage.haskell.org/package/cgi"
+license=('custom:BSD3')
+arch=('i686' 'x86_64')
+makedepends=()
+depends=('ghc' 'haskell-cabal' 'haskell-containers' 'haskell-mtl>=1.0' 'haskell-network>=2.0' 'haskell-old-locale' 'haskell-old-time' 'haskell-parsec>=2.0' 'haskell-xhtml>=3000.0.0')
+options=('strip')
+source=(http://hackage.haskell.org/packages/archive/cgi/3001.1.7.2/cgi-3001.1.7.2.tar.gz)
+install=haskell-cgi.install
+md5sums=('8f6a72d74561520d6ad9fb19b126c7e4')
+build() {
+    cd ${srcdir}/cgi-3001.1.7.2
+    runhaskell Setup configure --prefix=/usr --docdir=/usr/share/doc/${pkgname} || return 1
+    runhaskell Setup build                   || return 1
+    runhaskell Setup haddock || return 1
+    runhaskell Setup register   --gen-script || return 1
+    runhaskell Setup unregister --gen-script || return 1
+    install -D -m744 register.sh   ${pkgdir}/usr/share/haskell/$pkgname/register.sh
+    install    -m744 unregister.sh ${pkgdir}/usr/share/haskell/$pkgname/unregister.sh
+    install -d -m755 $pkgdir/usr/share/doc/ghc/html/libraries
+    ln -s /usr/share/doc/${pkgname}/html ${pkgdir}/usr/share/doc/ghc/html/libraries/cgi
+    runhaskell Setup copy --destdir=${pkgdir} || return 1
+    install -D -m644 LICENSE ${pkgdir}/usr/share/licenses/$pkgname/LICENSE || return 1
+    rm -f ${pkgdir}/usr/share/doc/${pkgname}/LICENSE
+}


Property changes on: haskell-cgi/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
   + Id

Added: haskell-cgi/trunk/haskell-cgi.install
===================================================================
--- haskell-cgi/trunk/haskell-cgi.install	                        (rev 0)
+++ haskell-cgi/trunk/haskell-cgi.install	2010-08-24 07:19:14 UTC (rev 88504)
@@ -0,0 +1,21 @@
+HS_DIR=/usr/share/haskell/haskell-cgi
+post_install() {
+  ${HS_DIR}/register.sh
+  (cd /usr/share/doc/ghc/html/libraries; ./gen_contents_index)
+}
+pre_upgrade() {
+  ${HS_DIR}/unregister.sh
+}
+post_upgrade() {
+  ${HS_DIR}/register.sh
+  (cd /usr/share/doc/ghc/html/libraries; ./gen_contents_index)
+}
+pre_remove() {
+  ${HS_DIR}/unregister.sh
+}
+post_remove() {
+  (cd /usr/share/doc/ghc/html/libraries; ./gen_contents_index)
+}
+op=$1
+shift
+$op $*



More information about the arch-commits mailing list